Bug 679201 - SELinux is preventing /usr/lib64/nspluginwrapper/plugin-config from read, write access on the chr_file /dev/ptmx.
Summary: SELinux is preventing /usr/lib64/nspluginwrapper/plugin-config from read, wri...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:3535e78e6d8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-21 21:14 UTC by Flóki Pálsson
Modified: 2011-03-10 03:10 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-10 03:10:22 UTC


Attachments (Terms of Use)

Description Flóki Pálsson 2011-02-21 21:14:32 UTC
SELinux is preventing /usr/lib64/nspluginwrapper/plugin-config from read, write access on the chr_file /dev/ptmx.

*****  Plugin leaks (50.5 confidence) suggests  ******************************

If you want to ignore plugin-config trying to read write access the ptmx chr_file, because you believe it should not need this access.
Then you should report this as a bug.  
You can generate a local policy module to dontaudit this access.
Do
# grep /usr/lib64/nspluginwrapper/plugin-config /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

*****  Plugin catchall (50.5 confidence) suggests  ***************************

If you believe that plugin-config should be allowed read write access on the ptmx chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-config /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:
                              c0.c1023
Target Context                system_u:object_r:ptmx_t:s0
Target Objects                /dev/ptmx [ chr_file ]
Source                        plugin-config
Source Path                   /usr/lib64/nspluginwrapper/plugin-config
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nspluginwrapper-1.3.0-17.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.14-2.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38-0.rc5.git1.1.fc15.x86_64 #1
                              SMP Thu Feb 17 01:49:02 UTC 2011 x86_64 x86_64
Alert Count                   3
First Seen                    fim 17.feb 2011, 00:53:56 GMT
Last Seen                     lau 19.feb 2011, 10:12:23 GMT
Local ID                      b24a6ecf-885a-48f2-b419-ba705b34c7f7

Raw Audit Messages
type=AVC msg=audit(1298110343.250:481): avc:  denied  { read write } for  pid=2198 comm="plugin-config" path="/dev/ptmx" dev=devtmpfs ino=1077 scontext=unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ptmx_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1298110343.250:481): arch=x86_64 syscall=execve success=yes exit=0 a0=149a5d0 a1=149a510 a2=149acd0 a3=1 items=0 ppid=2196 pid=2198 auid=500 uid=500 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=(none) ses=2 comm=plugin-config exe=/usr/lib64/nspluginwrapper/plugin-config subj=unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-config,nsplugin_config_t,ptmx_t,chr_file,read,write

audit2allow

#============= nsplugin_config_t ==============
allow nsplugin_config_t ptmx_t:chr_file { read write };

audit2allow -R

#============= nsplugin_config_t ==============
allow nsplugin_config_t ptmx_t:chr_file { read write };

Comment 1 Flóki Pálsson 2011-02-21 21:16:49 UTC
See also Bug 678784

Comment 2 Daniel Walsh 2011-02-21 22:24:13 UTC
Looks like a leak.

Comment 3 Daniel Walsh 2011-02-21 22:27:06 UTC
term_dontaudit_use_ptmx(nsplugin_t)

Comment 4 Daniel Walsh 2011-02-21 22:27:44 UTC
Please add to F13/F14 also.

Comment 5 Miroslav Grepl 2011-02-25 12:16:23 UTC
Fixed in selinux-policy-3.9.7-32.fc14

Comment 6 Fedora Update System 2011-03-08 15:39:41 UTC
selinux-policy-3.9.16-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-1.fc15

Comment 7 Fedora Update System 2011-03-10 03:09:44 UTC
selinux-policy-3.9.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.